/* public things from tcp.c */

#define TCP_MIN_FD 3
extern int tcp_fd;		/* socket file descriptor */
extern int tcp_main_fd;		/* main session socket */
extern int tcp_count;		/* number of open connections */
extern int tcp_attachcount;	/* number of spawned or attached commands */

/* multiple connections control */
typedef struct {
    int active;			/* display remote output? */
    int mode;			/* 0: mud-like connection;
				 * 1: keyboard-like connection */
    char *id;			/* session id */
    char *host;			/* address of remote host */
    int port;			/* port number of remote host */
} connsess;

extern connsess conn_list[MAXFDSCAN];     /* connections indexed by socket descrs */
#define CONN_LIST(n) conn_list[n]

extern fd_set fdset;               /* set of descriptors to select() on */

int  tcp_connect();
int  tcp_read();
void tcp_write();
void tcp_main_write();
void tcp_flush();
void tcp_write_tty_size();
void tcp_open();
void tcp_close();
void tcp_spawn();
void tcp_show();
int  tcp_find();
void tcp_togglesnoop();
void show_host();
